"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_assets = require("../../../common/assets.js");
const _sfc_main = {
  __name: "address",
  setup(__props) {
    const address = common_vendor.ref([
      {
        "name": "张三",
        "phone": "15888610253",
        "address": "黑龙江省哈尔滨市呼兰区学院路街道288号哈尔滨华德学院  //测试换行"
      },
      {
        "name": "张三",
        "phone": "15888610253",
        "address": "黑龙江省哈尔滨市呼兰区学院路街道288号哈尔滨华德学院  //测试换行"
      },
      {
        "name": "张三",
        "phone": "15888610253",
        "address": "黑龙江省哈尔滨市呼兰区学院路街道288号哈尔滨华德学院  //测试换行"
      },
      {
        "name": "张三",
        "phone": "15888610253",
        "address": "黑龙江省哈尔滨市呼兰区学院路街道288号哈尔滨华德学院  //测试换行"
      },
      {
        "name": "张三",
        "phone": "15888610253",
        "address": "黑龙江省哈尔滨市呼兰区学院路街道288号哈尔滨华德学院  //测试换行"
      },
      {
        "name": "张三",
        "phone": "15888610253",
        "address": "黑龙江省哈尔滨市呼兰区学院路街道288号哈尔滨华德学院  //测试换行"
      },
      {
        "name": "张三",
        "phone": "15888610253",
        "address": "黑龙江省哈尔滨市呼兰区学院路街道288号哈尔滨华德学院  //测试换行"
      },
      {
        "name": "张三",
        "phone": "15888610253",
        "address": "黑龙江省哈尔滨市呼兰区学院路街道288号哈尔滨华德学院  //测试换行"
      }
    ]);
    const jump = () => {
      common_vendor.index.navigateTo({
        url: "../../../pages/Shopping-cart/newaddress_Info/newaddress_Info"
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(address.value, (item, index, i0) => {
          return {
            a: common_vendor.t(item.name),
            b: common_vendor.t(item.phone),
            c: common_vendor.t(item.address),
            d: index
          };
        }),
        b: common_vendor.unref(common_assets.detele),
        c: common_vendor.unref(common_assets.update),
        d: common_vendor.o(jump)
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-fdeeb5e5"], ["__file", "D:/jiangchengfeiyi-xiaochengxu/pages/Shopping-cart/address/address.vue"]]);
wx.createPage(MiniProgramPage);
